Bug Hunting Session
Bug 60603 - Linking of text frames fails when inserted as OLE-object into a drawing in DRAW
Summary: Linking of text frames fails when inserted as OLE-object into a drawing in DRAW
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2013-02-10 18:22 UTC by platinius
Modified: 2018-11-01 20:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description platinius 2013-02-10 18:22:33 UTC
To reproduce:

- open a new drawing in DRAW
- insert an OLE-object "LibreOffice 4.0 text"
- in the OLE-object place two new text frames
- type some text into one of them
- link the two text frames with the link button
- the text of the first text frame now correctly continues in the second frame
- now click somewhere outside of the OLE-object to finish the editing
- the linkage between the two text frames is gone, the text is only in the first frame
Comment 1 Jorendc 2013-03-04 22:55:24 UTC
I can't confirm this behavior using Mac OSX 10.8.2 with LibreOffice 4.0.1.2.

@Bug reporter: is it possible to retest this using http://www.libreoffice.org/download/pre-releases/ or final 4.0.1 that'll probably released this week?

Thanks in advance
Comment 2 Jorendc 2013-03-04 22:58:59 UTC
@Florian: maybe this is a windows only bug. Can you give it a try?

* Open draw
* Insert > Object > OLE object
* LibreOffice 4.0 text

In that writer-like window:
* Insert > Frame
* Dialog -> Ok
* Type something like 'frame 1'
* Click somewhere random in that writer like window
* Again Insert > Frame
* Dialog -> place this frame on the left (Position = left)
* OK
* Select first frame
* Click on the chain-icon on the menu bar
* Click on the second frame
* Deselect

Following the description the link will be "broken"

Thanks for your time,
Joren
Comment 3 Florian Reisinger 2013-03-05 15:19:41 UTC
Confirmed with Version 4.1.0.0.alpha0+ (Build ID: 74f74aa5470fe631c7827897742c0ccbddcf6ad)
TinderBox: Win-x86@6, Branch:master, Time: 2013-02-23_23:21:01 @ Win 7 x64
Comment 4 QA Administrators 2015-02-19 15:43:17 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-08 19:56:43 UTC
Unable to link them at all. I just get the cursor as a forbidden sign.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:26:51 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-11-01 20:53:11 UTC
Closing as RESOLVED WORKSFORME.

Version: 6.0.1.1 (x64)
Build-ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU-Threads: 1; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-AT (de_AT); Calc: group